devguard

PoliciesCategoriesId

Get the details of a single policy category by id.

GET
/policies/categories/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Query Parameters

organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.devguard.ch/api/policies/categories/string/?organizationId=string"
{
  "id": "string",
  "name": "string",
  "order": -9007199254740991,
  "organizationId": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?